import { t as definePluginEntry } from "../../plugin-entry-ieJOYYXv.js";
import { n as buildFalImageGenerationProvider } from "../../image-generation-provider-Df9Nea13.js";
import { t as createFalProvider } from "../../provider-registration-Ddn-w4KQ.js";
import { n as buildFalVideoGenerationProvider } from "../../video-generation-provider-aLQ_nqY0.js";
var fal_default = definePluginEntry({
	id: "fal",
	name: "fal Provider",
	description: "Bundled fal image and video generation provider",
	register(api) {
		api.registerProvider(createFalProvider());
		api.registerImageGenerationProvider(buildFalImageGenerationProvider());
		api.registerVideoGenerationProvider(buildFalVideoGenerationProvider());
	}
});
//#endregion
export { fal_default as default };
